ros-kinetic-octomap-server (0.6.1-0wily) wily; urgency=high

  * Fix for Colored Octomap: Use PCLPoint everywhere
    Fixes compiler error when enabling the define
    for color.
  * Fixed maxRange bug in OctomapServer.cpp for clearing
  * Adjust maintainer email
  * Contributors: Armin Hornung, Brandon Kinman, Felix Endres

 -- Armin Hornung <armin@hornung.io>  Tue, 18 Oct 2016 22:00:00 -0000

ros-kinetic-octomap-server (0.6.0-0wily) wily; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Thu, 24 Mar 2016 23:00:00 -0000

ros-kinetic-octomap-server (0.5.3-0wily) wily; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Wed, 08 Jan 2014 23:00:00 -0000

ros-kinetic-octomap-server (0.5.2-0wily) wily; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Wed, 08 Jan 2014 23:00:00 -0000

ros-kinetic-octomap-server (0.5.1-0wily) wily; urgency=high

  * Fix missing nodelet plugin from install

 -- Armin Hornung <armin@hornung.io>  Sun, 24 Nov 2013 23:00:00 -0000

ros-kinetic-octomap-server (0.5.0-0wily) wily; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Armin Hornung <armin@hornung.io>  Wed, 23 Oct 2013 22:00:00 -0000

ros-kinetic-octomap-server (0.4.9-0wily) wily; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Armin Hornung <armin@hornung.io>  Wed, 26 Jun 2013 22:00:00 -0000

ros-kinetic-octomap-server (0.4.8-0wily) wily; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Armin Hornung <armin@hornung.io>  Mon, 07 Jan 2013 23:00:00 -0000

ros-kinetic-octomap-server (0.4.6-0wily) wily; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server
  * octomap_server and octomap_saver now fully support both binary and full occupancy maps
  * octomap_server can now open .ot files properly, updated octomap_ros to new-style stack.xml
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h
  * removed OctomapROS wrapper from octomap_server classes
  * octomap_server manifest exports dynamic_reconfigure path in cppflags
  * parameter in launch file adjusted

 -- Armin Hornung <armin@hornung.io>  Sun, 27 Jan 2013 23:00:00 -0000

ros-kinetic-octomap-server (0.4.5-0wily) wily; urgency=high

  * new parameter to enable incremental 2D mapping (experimental, default: false)
  * bug fix for OctomapServer map projection
  * Fixed OctomapServer not clearing obstacles in projected 2D map properly
  * fixed map reset and incremental 2D updates
  * added arm layer height lookup
  * Fixed resolution change (dynamic_reconfigure) and dynamic map size w. incremental updates
  * incremental update of projected 2D maps only in updated 3D region, map dynamically grows
  * increased Electric compatibility of octomap_server
  * OctomapServer keeps track of update region for downprojected 2D map

 -- Armin Hornung <armin@hornung.io>  Sun, 17 Jun 2012 22:00:00 -0000

ros-kinetic-octomap-server (0.4.4-0wily) wily; urgency=high

  * Turned octomap_msgs and octomap_ros into unary stacks, code in octomap_mapping adjusted

 -- Armin Hornung <armin@hornung.io>  Thu, 19 Apr 2012 22:00:00 -0000

ros-kinetic-octomap-server (0.4.3-0wily) wily; urgency=high

  * Merged rev 2477:2613 from trunk:
    - fixed ground filter
    - added missing license headers, improved code layout to ROS standard
    - adjusted to OctoMap 1.4 changes
    - collision map publisher & eraser script ported from branch
    - disabled lazy update temporarily (needs param)
    - dynamic reconfigure interface to limit query depth (and voxel resolution) on the fly

 -- Armin Hornung <armin@hornung.io>  Mon, 16 Apr 2012 22:00:00 -0000

ros-kinetic-octomap-server (0.4.2-0wily) wily; urgency=high

  * fixed ground filter (from trunk, electric)nVersion increased to 0.4.2

 -- Armin Hornung <armin@hornung.io>  Thu, 15 Mar 2012 23:00:00 -0000

ros-kinetic-octomap-server (0.4.1-0wily) wily; urgency=high

  * switched octomap_ros and octomap_server to pure CMake-style linking, version 0.4.1
  * removed uneccesary FindEigen.cmake files

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Feb 2012 15:50:00 -0000

ros-kinetic-octomap-server (0.4.0-0wily) wily; urgency=high

  * removed eigen package from depends
  * Transitioned octomap package to deprecated, now forwards flags with pkg-config to system dependency

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Feb 2012 14:37:00 -0000

ros-kinetic-octomap-server (0.3.8-0wily) wily; urgency=high

  * increased octomap version to 1.4.2, stack version 0.3.8

 -- Armin Hornung <armin@hornung.io>  Wed, 25 Apr 2012 22:00:00 -0000

ros-kinetic-octomap-server (0.3.7-0wily) wily; urgency=high

  * removed temp. workaround for unstable (Eigen for PCL included), increased stack version to 0.3.7
  * server/client architecture for octomap_server
  * octomap_server: ground plane filter defaults to false, base_footprint frame now only required when filtering

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Feb 2012 23:00:00 -0000

ros-kinetic-octomap-server (0.3.6-0wily) wily; urgency=high

  * changed to Eigen rosdep for electric and fuerte

 -- Armin Hornung <armin@hornung.io>  Sun, 08 Jan 2012 23:00:00 -0000

ros-kinetic-octomap-server (0.3.5-0wily) wily; urgency=high

  * added OctomapServerMultilayer as stub
  * More refactoring of octomap_server, added hooks for node traversal
  * OctomapServerCombined is now OctomapServer
  * cleanup of octomap_server
  * 
    
      * adjusted octomap_mapping trunk to compile against ROS electric (only affects octomap_server).
    => use branch for diamondback!

 -- Armin Hornung <armin@hornung.io>  Sat, 29 Oct 2011 22:00:00 -0000

ros-kinetic-octomap-server (0.3.4-0wily) wily; urgency=high

  * publish empty map (+vis) after reset
  * OctomapServerCombined: Drop old octree completely when resetting
  * OctomapServerCombined: Parameter for latching topics, reset service
  * added srv and service implementation to clear a bbx region in OctomapServerCombined
  * OctomapServer:
    private -> protected
    added default constructor
  * octomap_server:
    - fixed 2D map for larger volumes
    - now handles an initial file always as static, topics are published latched then
  * removed debug PCD writing
  * 
    
      * ground filter now more reliable, filtering in base frame of robot instead of global frame.
      * more parameters for ground filter
    

 -- Armin Hornung <armin@hornung.io>  Tue, 11 Oct 2011 22:00:00 -0000

ros-kinetic-octomap-server (0.3.3-0wily) wily; urgency=high

  * octomap package udpate to use new OctoMap 1.2 library only (no visualization). Removed dependency on Qt / QGLViewer.
  * fixed ground plane appearing as occupied

 -- Armin Hornung <armin@hornung.io>  Wed, 17 Aug 2011 05:41:00 -0000

ros-kinetic-octomap-server (0.3.2-0wily) wily; urgency=high

  * merged in changes of octomap_mapping trunk (up to rev 1781):
    - octomap updated to 1.1.1 (testing), tarball URL on ros.org
    - ground plane extraction OctomapServerCombined, configurable using PCL
    - fixes and cleanup in OctomapServerCombined
  * parameters for ground plane filtering
  * Ground plane extraction improved
  * Ground plane extraction (pcl) for testing
  * 
    
      * octomap: use OctoMap 1.1.1 (testing)
      * octomap_server: handle larger pruned nodes in 2D map projection
    
  * refactoring & cleanup of OctomapServerCombined, ready for ground plane extraction
  * merged back octomap_server from experimental branch:
    - proper class with more capabilities
    - now sends out map in various representations / visualizations
    - subscribes to PointCloud2 with tf::MessageFilter
    - uses octomap_ros wrapper / conversions
    - OctomapServerCombined (experimental): also builds downprojected 2D map
  * added MoveMap.msg from octomap2, extended conversions.h
  * templated octomapMsg conversion functions
  * octomap_saver adjusted to moved locations
  * Moved messages and conversions to octomap_ros from octomap_server
  * Removed unnecessary exports in manifests
  * 
    
      * fixes in mainfest / stack.xml for ROS 1.3
      * doxygen properly configured with rosdoc
      * stack release 0.1.2 prep
    
  * Preparations for .deb releases
  * License in cpp files, restored compatibility with boxturtle
  * Adjusted license to BSD, more parameters in octomap_server
  * OctoMap server (copied from octomap repo, trunk)
  * Initial checkin of octomap stack (nearly empty at the moment)

 -- Armin Hornung <armin@hornung.io>  Mon, 08 Aug 2011 22:00:00 -0000

ros-kinetic-octomap-server (0.3.1-0wily) wily; urgency=high

  * Patched for arm_navigation changes in "unstable"

 -- Armin Hornung <armin@hornung.io>  Thu, 14 Jul 2011 22:00:00 -0000

ros-kinetic-octomap-server (0.3.0-0wily) wily; urgency=high

  * merged back octomap_server from experimental branch:
    - proper class with more capabilities
    - now sends out map in various representations / visualizations
    - subscribes to PointCloud2 with tf::MessageFilter
    - uses octomap_ros wrapper / conversions
    - OctomapServerCombined (experimental): also builds downprojected 2D map
  * added MoveMap.msg from octomap2, extended conversions.h
  * templated octomapMsg conversion functions

 -- Armin Hornung <armin@hornung.io>  Mon, 27 Jun 2011 22:00:00 -0000

ros-kinetic-octomap-server (0.2.0-0wily) wily; urgency=high

  * updated stack.xml for cturtle only
  * octomap_saver adjusted to moved locations
  * Moved messages and conversions to octomap_ros from octomap_server
  * Removed unnecessary exports in manifests

 -- Armin Hornung <armin@hornung.io>  Tue, 15 Mar 2011 23:00:00 -0000

ros-kinetic-octomap-server (0.1.2-0wily) wily; urgency=high

  * 
    
      * fixes in mainfest / stack.xml for ROS 1.3
      * doxygen properly configured with rosdoc
      * stack release 0.1.2 prep
    

 -- Armin Hornung <armin@hornung.io>  Mon, 22 Nov 2010 23:00:00 -0000

ros-kinetic-octomap-server (0.1.1-0wily) wily; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 16 Nov 2010 23:00:00 -0000

ros-kinetic-octomap-server (0.1.0-0wily) wily; urgency=high

  * Preparations for .deb releases
  * License in cpp files, restored compatibility with boxturtle
  * Adjusted license to BSD, more parameters in octomap_server
  * OctoMap server (copied from octomap repo, trunk)
  * Initial checkin of octomap stack (nearly empty at the moment)

 -- Armin Hornung <armin@hornung.io>  Mon, 15 Nov 2010 23:00:00 -0000


